package ink.wgink.module.instantmessage.websocket.enums;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: AppSocketTypeEnum
 * @Description: App Socket 类型
 * @Author: wanggeng
 * @Date: 2021/1/13 11:20 下午
 * @Version: 1.0
 */
public enum ClientSocketTypeEnum {

    REGISTER(1000, "注册消息，body 为 RegisterBody 的 JSON 字符串"),

    MESSAGE(2001, "文本消息"),
    GROUP_MESSAGE(2002, "群发文本消息"),

    SYSTEM_MESSAGE(3001, "系统消息"),
    SYSTEM_GROUP_MESSAGE(3002, "系统群发问呢消息"),
    SYSTEM_TARGET_MESSAGE(3003, "系统目标消息"),

    LAYIM_HREF_MESSAGE(4001, "LAYIM 连接消息"),
    LAYIM_IMAGE_MESSAGE(4002, "LAYIM 图片消息"),
    LAYIM_FILE_MESSAGE(4003, "LAYIM 文件消息"),
    LAYIM_AUDIO_MESSAGE(4004, "LAYIM 音频消息"),
    LAYIM_VIDEO_MESSAGE(4005, "LAYIM 视频消息"),

    NOTICE(5001, "通知"),
    NOTICE_GROUP_MESSAGE(5002, "群通知"),
    NOTICE_TARGET_MESSAGE(5003, "目标通知，用于APP打开特定页面"),
    UPDATE_SERVICE_HANDLE_STATUS(5004, "更新业务的处理状态"),

    SEARCH_ONLINE_USER(6001, "查询全部在线用户，body 为查询用户的 userId"),
    SEARCH_ONLINE_USER_FRIEND(6002, "查询朋友在线用户，body 为查询用户的 userId"),
    SEARCH_COUNT_NEED_TO_DEALT_WITH(6003, "查询全部待办总数"),

    SEND_STATUS(1100, "消息发送状态，body 为 BaseResult 的 JSON 字符串"),
    SEND_STATUS_ONLINE(1101, "发送在线状态，body 为 在线用户的ID JSONArray 字符串"),
    SEND_STATUS_OFFLINE(1102, "发送离线状态，body 为 离线用户的ID JSONArray 字符串");

    private int value;
    private String summary;

    ClientSocketTypeEnum(int value, String summary) {
        this.value = value;
        this.summary = summary;
    }

    public int getValue() {
        return value;
    }

    public String getSummary() {
        return summary == null ? "" : summary.trim();
    }
}
